xcore/inline-editing-nette

Content inline editable bundle for Nette.

v1.3.0 2020-11-04 19:44 UTC

This package is not auto-updated.

Last update: 2021-10-07 00:08:11 UTC


README

Build Status Coverage Status

Inline Editing Nette = Content editable Extension for Nette Framework...

Requirements

XcoreCMS/InlineNette requires:

  • PHP 7.1+
  • Nette 2.4+
  • FreezyBee/PrependRoute
  • XcoreCMS/InlineEditing

Installation

The best way to install XcoreCMS/InlineEditingNette is using Composer:

composer require xcore/inline-editing-nette
extension:
    prependRoute: FreezyBee\PrependRoute\DI\PrependRouteExtension
    inline: XcoreCMS\InlineEditingNette\DI\InlineEditingExtension

inline:
    translator: @translator # default empty
    fallback: en      # default false - fallback locale
    tableName: inline # default inline_content - table name
    persistenceLayer: @doctrine.default.connection # default autodetect (order: doctrine, ndb, dibi), for pdo use PDO('dsn', 'root')    
    url: '/inline-gw' # default '/inline-editing' - route path mask for communication with backend
    allowedRoles: ['admin', 'editor'] # default null
    install:
        assets: false # default true - install assets to www dir
        database: false # default true - create database table
    entityMode: true # default false - turn on entity mode editation